%global snapshot e000f355b658fdac0038358e9a67f86c9b498c7b
%global YYYYmmdd 20120627
%global shorttag %(cut -c 1-7 <<<%{snapshot})
%global checkout %{YYYYmmdd}git%{shorttag}

Name:           java-deptools
Version:        0
Release:        0.6.%{checkout}%{?dist}
Summary:        Java RPM dependency tools
Group:          Development/Tools
BuildArch:      noarch

License:        ASL 2.0
URL:            http://git.fedorahosted.org/git/?p=java-deptools.git
Source0:        http://git.fedorahosted.org/git/?p=java-deptools.git;a=snapshot;h=%{snapshot};sf=tbz2;foo=/%{name}-%{shorttag}.tar.bz2

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven

BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-lang
BuildRequires:  bcel
BuildRequires:  xz-java

Requires:       java
Requires:       jpackage-utils
Requires:       apache-commons-cli
Requires:       apache-commons-compress
Requires:       apache-commons-lang
Requires:       bcel
Requires:       xz-java

%description
This package provides tools for tracking dependencies
between Java packages in RPM-based distributions.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{shorttag}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jar
install -dm 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
install -dm 755 %{buildroot}%{_javadocdir}
cp -R target/site/apidocs %{buildroot}%{_javadocdir}/%{name}
# pom
install -dm 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%{jpackage_script                                                \
\${JAVA_DEPTOOLS_DATABASE:+-z="\${JAVA_DEPTOOLS_DATABASE}"}      \
\-ea                                                             \
org.fedoraproject.javadeptools.Main                              \
java-deptools:commons-cli:commons-compress:commons-lang:bcel:xz  \
java-deptools                                                    \
true                                                             \
}

%files
%doc LICENSE NOTICE
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20120627gite000f35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.5.20120627gite000f35
- Add shell script in bindir

* Wed Jun 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.4.20120627gite000f35
- Update to the latest upstream snapshot

* Tue Jun 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.3.20120626git9801c21
- Update to the latest upstream snapshot

* Fri Jun 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.2.20120621git2a6a72d
- Reformat changelog

* Thu Jun 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.1.20120621git2a6a72d
- Initial packaging
